<?php
/**
 * @package    Xiroweb Multi Editor with many column
 *
 * @author     Xiroweb <support@xiroweb.com>
 * @copyright  Copyright (c)2021 Xiroweb All rights reserved.
 * @license    GNU General Public License version 2 or later; see LICENSE.txt
 * @link       https://www.xiroweb.com
 */

use Joomla\CMS\Helper\ModuleHelper;
use Joomla\CMS\HTML\HTMLHelper;
use Joomla\CMS\Plugin\PluginHelper;

defined('_JEXEC') or die;


$block_title    = htmlspecialchars($params->get('block_title', ''), ENT_QUOTES, 'UTF-8');
$block_description    = htmlspecialchars($params->get('block_description', ''), ENT_QUOTES, 'UTF-8');
$items = (array) $params->get('group_fields') ?: array();
$col_xs = (int) $params->get('column_mobile', 1);
$col_sm = (int) $params->get('column_tablet', 1);
$col_md = (int) $params->get('column_desktop', 3);

require ModuleHelper::getLayoutPath('mod_xiroweb_features_block', $params->get('layout', 'default'));
